LPCOpen Platform for LPC18XX/43XX microcontrollers: Data Fields - Variables

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x

### - r -

- RAS : IP_EMC_DYN_DEVICE_CONFIG_T
- RAWINTERRSTAT : LPC_GPDMA_T
- RAWINTTCSTAT : LPC_GPDMA_T
- RBR : LPC_USART_T
- rca : SDMMC_CARD_T
- RDES5 : ENET_ENHRXDESC_T
- read : SPIFI_FAM_FX_T
- ReadConfig : IP_EMC_DYN_CONFIG_T
- RedundantSize : K9F1G_ID_T
- RefreshPeriod : IP_EMC_DYN_CONFIG_T
- reg_adr : WM8903_Init_Seq_t , WM8904_Init_Seq_t
- reg_val : WM8903_Init_Seq_t , WM8904_Init_Seq_t
- REGFILE : LPC_REGFILE_T
- REGMODE_H : LPC_SCT_T
- REGMODE_L : LPC_SCT_T
- RES : LPC_SCT_T
- RESERVED : CCAN_IF_T , HSADCINTCTRL_T
- reserved : LPC_ROM_API_T
- RESERVED0 : LPC_ENET_T , LPC_EVRT_T , LPC_GPDMA_T , LPC_GPIOGROUPINT_T , LPC_HSADC_T , LPC_LCD_T , LPC_PMC_T , LPC_QEI_T , LPC_RGU_T , LPC_RTC_T , LPC_SCU_T , LPC_SDMMC_T
- Reserved0 : K9F1G_ID_T
- RESERVED0 : LPC_TIMER_T , LPC_USART_T , LPC_ADC_T , LPC_USBHS_T , LPC_WWDT_T , LPC_ATIMER_T , LPC_CCAN_T , LPC_CGU_T , LPC_CCU1_T , LPC_CCU2_T , LPC_CREG_T , LPC_EEPROM_T , LPC_EMC_T
- reserved01 : OTP_API_T
- reserved02 : OTP_API_T
- reserved03 : OTP_API_T
- reserved04 : OTP_API_T
- RESERVED1 : LPC_USART_T , LPC_USBHS_T
- Reserved1 : K9F1G_ID_T
- RESERVED1 : LPC_CREG_T , LPC_EMC_T , LPC_ENET_T , LPC_FMC_T , GPDMA_CH_T , LPC_GPIOGROUPINT_T , LPC_HSADC_T , LPC_LCD_T , LPC_RGU_T , LPC_RTC_T , LPC_SCT_T , LPC_SDMMC_T
- RESERVED10 : LPC_EMC_T , LPC_SCT_T
- RESERVED16 : LPC_SCU_T
- RESERVED17 : LPC_SCU_T
- RESERVED18 : LPC_SCU_T
- RESERVED2 : LPC_CCAN_T , LPC_CREG_T , LPC_LCD_T , LPC_EEPROM_T , LPC_EMC_T , LPC_ENET_T , LPC_FMC_T , LPC_HSADC_T , LPC_RGU_T , LPC_RTC_T , LPC_SCT_T , LPC_USBHS_T
- RESERVED3 : LPC_CCAN_T , LPC_EMC_T , LPC_ENET_T , LPC_HSADC_T , LPC_RGU_T , LPC_RTC_T , LPC_USBHS_T , LPC_FMC_T , LPC_SCT_T
- RESERVED4 : LPC_USBHS_T , LPC_CCAN_T , LPC_CREG_T , LPC_ENET_T , LPC_FMC_T , LPC_SCT_T , LPC_EMC_T
- RESERVED5 : LPC_CREG_T , LPC_USBHS_T , LPC_CCAN_T , LPC_EMC_T , LPC_FMC_T , LPC_SCT_T
- RESERVED6 : LPC_CCAN_T , LPC_EMC_T , LPC_CREG_T , LPC_USBHS_T , LPC_SCT_T
- RESERVED7 : LPC_CREG_T , LPC_EMC_T , LPC_SCT_T
- RESERVED8 : LPC_CREG_T , LPC_EMC_T , LPC_SCT_T
- RESERVED9 : LPC_CREG_T , LPC_EMC_T , LPC_SCT_T
- reset : SPIFI_FAM_FX_T
- RESET_ACTIVE_STATUS : LPC_RGU_T
- RESET_CTRL : LPC_RGU_T
- RESET_EXT_STAT : LPC_RGU_T
- RESET_STATUS : LPC_RGU_T
- RESP0 : LPC_SDMMC_T
- RESP1 : LPC_SDMMC_T
- RESP2 : LPC_SDMMC_T
- RESP3 : LPC_SDMMC_T
- response : SDMMC_CARD_T
- RINTSTS : LPC_SDMMC_T
- RIS : LPC_SSP_T
- RISE : LPC_PIN_INT_T
- Rl : LCD_PALETTE_ENTRY_T
- RS485ADRMATCH : LPC_USART_T
- RS485CTRL : LPC_USART_T
- RS485DLY : LPC_USART_T
- RST_N : LPC_SDMMC_T
- RTSH : ENET_ENHRXDESC_T
- RTSL : ENET_ENHRXDESC_T
- Ru : LCD_PALETTE_ENTRY_T
- RWSTATE : LPC_EEPROM_T
- rx_cnt : Chip_SSP_DATA_SETUP_T
- rx_data : Chip_SSP_DATA_SETUP_T
- RXBITRATE : LPC_I2S_T
- rxBuff : I2C_XFER_T , I2CM_XFER_T
- RXFIFO : LPC_I2S_T
- RXMODE : LPC_I2S_T
- RXRATE : LPC_I2S_T
- rxSz : I2C_XFER_T , I2CM_XFER_T